#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-9P6NYRQJXf7G1txIDRkDnb
key:                  coinbase-pro-0.9.3.2-9P6NYRQJXf7G1txIDRkDnb
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  0288f47e88d654c36b65d56fd5f4ce93
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-9P6NYRQJXf7G1txIDRkDnb
depends:
    HsOpenSSL-0.11.7.6-3GwIwRsXaos3wi79fp971N
    aeson-2.1.2.1-7dcOSp8IaGA80HTLJplaly
    aeson-casing-0.2.0.0-93nO9XPM8rb5IQkqHrXLy1
    async-2.2.5-GhBzXJSWYyS3QxuWn9vF7I base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-4sVTsME4FC2Kuj4PQGWqjm exceptions-0.10.4
    http-api-data-0.5.1-FPfE8gqW0uUB3eYDtZhX6V
    http-client-0.7.15-EytM7GAQDw9GyLi06Ga86Q
    http-client-tls-0.3.6.3-LdvZCscuwjf3eRWxqPFIkK
    http-streams-0.8.9.9-H7THFZVSw5NLkazK5i3qRT
    http-types-0.12.3-5IXA4G35MTjEIDedTW2NzQ
    io-streams-1.5.2.2-KYLhnyTZorrKUJPANaetIN
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-42vrGNOyyN5EQENmFarxRS
    servant-0.20.1-729uTGarsQR1nwiBenLVgi
    servant-client-0.20-KRx727wNuxuAastPSlTWuG
    servant-client-core-0.20-3GPZKCwRWuhGAZsIviTOId
    tasty-1.4.3-B04wakHanaTFmtNBHSmYAO
    tasty-hunit-0.10.1-CSSZe25FXQB51JHdnh59fv text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-E8YfPPlSNOTJGtgQv6o6dG
    unordered-containers-0.2.20-CSp7eswk3xw8n1zllorsNO
    uuid-1.3.15-6OUgNyfentF6kVAwMbcBrc
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4
    websockets-0.12.7.3-JFz8IkTP4sM7FYbqMxUakn
    wuss-2.0.1.1-3uTlX4BOvXALPPJAcc6aRV

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

